import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/agency_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/agency_option_entity.g.dart';

@JsonSerializable()
class AgencyOptionEntity {
	@JSONField(name: "status_list")
	List<IndexOptionEntity>? statusList = [];

	AgencyOptionEntity();

	factory AgencyOptionEntity.fromJson(Map<String, dynamic> json) => $AgencyOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $AgencyOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
